Skip to main content

Create a new retention policy in Orchestra

POST 

/personaldata-backend/config/retentionPolicy

Create a new retention policy in Orchestra. A valid name for a retention policy may only contain the characters A-Z, a-z, 0-9, _, |, @ and -.

curl -u user:password -i -X POST -H 'content-type:application/json'
-d '{"name":"myRetentionPolicy","days":"10"}' http://orchestra-host:orchestra-port/personaldata/rest/config/retentionPolicy

Request​

Responses​

Returns JSON object containing the created RetentionPolicy.